#
# spec file for package ktorrent (Version 2.2.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           ktorrent
BuildRequires:  gmp-devel kdelibs3-devel
%if %suse_version > 1020
BuildRequires:  fdupes
%endif
Url:            http://ktorrent.pwsp.net/
License:        GPL v2 or later
Group:          Productivity/Networking/File-Sharing
Summary:        KDE BitTorrent Client
Version:        2.2.2
Release:        1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define rversion 2.2.2
Source:         %{name}-%{rversion}.tar.bz2
Patch2:         remove-links.diff
Patch4:         no-geoip-db.diff
Patch10:        ktorrent-fix-columns.diff
Patch16:        disable-DHT.diff
Patch18:        build-kde-3.4.diff
%if %suse_version > 1020
Requires:       %{name}-lang = %{version}
%endif

%description
Torrent is a BitTorrent program for KDE. Its main features are: *
   Download of torrent files

* Upload speed capping, seeing that most people cannot upload
   infinite amounts of data

* Internet searching using the BitTorrent Web site's search engine

* UDP trackers



Authors:
--------
    Jois Guisson <jrois.guisson@gmail.com>

%lang_package
%prep
%setup -q -n %{name}-%{rversion}
%patch2 -p1
%patch4 -p1
%patch10
%patch16
%if %suse_version < 1010
%patch18
%endif
. /etc/opt/kde3/common_options
update_admin

%build
%if %suse_version > 1000
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fstack-protector"
%endif
. /etc/opt/kde3/common_options
./configure $configkde
do_make %{?jobs:-j %jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file %name Network FileTransfer
%if %suse_version > 1020
%fdupes -s $RPM_BUILD_ROOT
%endif
kde_post_install
%find_lang %name

%pre
%run_ldconfig

%post
%run_ldconfig
%if %suse_version > 1020

%files lang -f %name.lang

%files
%else

%files -f %name.lang
%endif
%defattr(-,root,root)
%dir /opt/kde3/share/icons/hicolor/16x16
%dir /opt/kde3/share/icons/hicolor/32x32
%dir /opt/kde3/share/icons/hicolor/128x128
%dir /opt/kde3/share/icons/hicolor/128x128/apps
%dir /opt/kde3/share/icons/hicolor/16x16/apps
%dir /opt/kde3/share/icons/hicolor/32x32/apps
%dir /opt/kde3/share/icons/hicolor/48x48
%dir /opt/kde3/share/icons/hicolor/48x48/apps
%dir /opt/kde3/share/icons/hicolor/64x64
%dir /opt/kde3/share/icons/hicolor/64x64/apps
%dir /opt/kde3/share/icons/hicolor/scalable
%dir /opt/kde3/share/icons/hicolor/scalable/apps
/opt/kde3/bin/*
/opt/kde3/share/icons/*/*/*/*
/opt/kde3/share/appl*/*/*.desktop
/opt/kde3/share/apps/*
/opt/kde3/%_lib/kde3/*
/opt/kde3/%_lib/libktorrent.*
/opt/kde3/%_lib/libktorrent-%{version}.so
/opt/kde3/share/config.kcfg/*.kcfg
/opt/kde3/share/services/*.desktop
/opt/kde3/share/servicetypes/*.desktop
%changelog
* Wed Sep 26 2007 - stbinner@suse.de
- update to 2.2.2, second bugfix release for version 2.2
* Sun Aug 19 2007 - stbinner@suse.de
- fix build on 10.0
* Tue Aug 14 2007 - stbinner@suse.de
- add improved Hungarian translation (#295663)
* Tue Jul 24 2007 - bvirlet@suse.de
- update to 2.2.1
  * Fix file selection bug
  * Fix several webgui bugs
  * Make sure plugin list is sorted on the plugin name
  * Fix bug with UPnP plugin not releasing ports when KT is shutdown
* Wed Jul 04 2007 - stbinner@suse.de
- update to final 2.2 release
* Thu Jun 21 2007 - stbinner@suse.de
- run fdupes and kde_post_install, fix invalid .desktop file
* Sun Jun 17 2007 - stbinner@suse.de
- update to 2.2rc1:
  * Improved and more consistant GUI
  * Possibility to open as many views as needed. By default you now
  get a downloads and uploads tab
  * Improved search plugin with possibility to open multiple search tabs
  * Option to fully preallocate diskspace to avoid fragmentation
  * Option to move finished downloads to a different directory
  * Progress bar in status bar when searching
  * Redesigned file selection dialog
  * Option to copy torrent files to user specified directory
  * Speed limits for individual torrents
  * Diskspace monitoring, with option to stop torrents when diskspace
  is running low
  * Improved system tray popup
  * Autorotation of the log file when it gets larger then 10 MB
  * Import dialog is now network transparent for the torrent file
  * Statistics plugin which was developed by Krzysztof Kundzicz
* Mon Jun 04 2007 - stbinner@suse.de
- fix build on older distributions
* Sun May 20 2007 - stbinner@suse.de
- fix package requires
* Mon May 14 2007 - coolo@suse.de
- split translations into special package
* Tue Apr 24 2007 - stbinner@suse.de
- update to 2.1.4:
  * Fixed crash in parsing of DHT messages
  * Fixed problem with files with .. in their name
  * ScanFolder can now handle incomplete torrent files properly
* Tue Apr 03 2007 - dmueller@suse.de
- update to 2.1.3:
  * really fix file overwriting vulnerability
  * crash fix
* Sat Mar 10 2007 - dmueller@suse.de
- update to 2.1.2:
  * file overwriting vulnerability
  * chunk id overflow vulnerability
* Tue Mar 06 2007 - stbinner@suse.de
- update to version 2.1.1:
  * Rewrite of webserver
  * New webgui : coldmilk
  * Networking thread has been split up in 2 threads, one for
  upload, one for download
  * Significant speed improvements when downloading over a LAN
* Fri Feb 09 2007 - stbinner@suse.de
- port and re-enable patch 16
* Mon Feb 05 2007 - stbinner@suse.de
- update to version 2.1 release
* Thu Jan 04 2007 - stbinner@suse.de
- update to version 2.1rc1:
  * Peer Exchange (µTorrent compatible)
  * Zeroconf plugin
* Sat Nov 25 2006 - wstephenson@suse.de
- update to version 2.1beta1
  * Switched the GUI to an IDEAl style GUI (like KDevelop)
  * WebGUI plugin
  * RSS plugin
  * Improvements in down and upload performance
  * Grouping feature to put torrents into groups
  * Improved search plugin, which now allows multiple searches
  * Many bug fixes
* Tue Oct 17 2006 - dmueller@suse.de
- remove geoIP database due to license issues (#188562)
* Mon Oct 16 2006 - dmueller@suse.de
- fix build on PPC
* Tue Oct 10 2006 - stbinner@suse.de
- update to version 2.0.3
  - fixes some download speed issues
  - fixes several other minor bugs
* Wed Aug 30 2006 - stbinner@suse.de
- update to version 2.0.2
  - fixes a data corruption bug
  - should get the downloading working properly again
* Mon Aug 21 2006 - stbinner@suse.de
- update to version 2.0.1
  - fixes several bugs
  - features some performance improvements
* Wed Aug 09 2006 - stbinner@suse.de
- update to version 2.0 (no changelog provided)
  - bugfixes
  - translation updates
* Wed Jul 19 2006 - stbinner@suse.de
- update to version 2.0rc1
  * bugfixes and polishing
* Tue Jun 06 2006 - stbinner@suse.de
- don't install with kdelibs conflicting x-bittorrent.desktop
* Tue May 23 2006 - adrian@suse.de
- update to version 2.0beta1
  * Speed improvements
  * Protocol encryption
  * Bandwith scheduling
  * File prioritization for multifile torrents
  * Directory scanner for torrent files
  * Many bug fixes
- disable experimental DHT for now
* Sun Apr 16 2006 - dkukawka@suse.de
- updated/added upstream commited changes:
  - ktorrent-fix-german-translation.diff: updated german
  translation file
  - ktorrent-fix-i18n-strings.diff: fixed typo in i18n string and
  merged back to translations
* Tue Mar 07 2006 - dkukawka@suse.de
- fixed some strings in german translation (related to bug #154683
  and upstram changes)
* Thu Mar 02 2006 - dkukawka@suse.de
- fixed german translation for the plugin settings
* Tue Feb 07 2006 - ro@suse.de
- fix build for < 10.1
* Wed Feb 01 2006 - stbinner@suse.de
- update to 1.2 final
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - stbinner@suse.de
- update to 1.2rc2
* Mon Jan 16 2006 - dmueller@suse.de
- use -fstack-protector
* Thu Jan 05 2006 - dkukawka@suse.de
- added patches:
  - ktorrent-fix-columns.diff (Added focus to all collums in the
  ListView objects)
  - ktorrent-fix-columns_save_restore_ktorrentview.diff (fix store
  columns settings and enable change wide of columns)
  - ktorrent-fix-KBytesPerSecToString.diff
  - ktorrent-fix-keep_seeding.diff (fixed torrentFinished to
  respect "Keep seeding after download has finished")
  - ktorrent-fix-remove-unneeded.diff (removed unneeded code)
  - ktorrent-fix-compiler_warning.diff
* Mon Jan 02 2006 - stbinner@suse.de
- update to 1.2rc1 (#135481)
* Thu Oct 13 2005 - dmueller@suse.de
- update to BRANCH
* Tue Oct 11 2005 - dmueller@suse.de
- update 1.1 final
* Wed Sep 07 2005 - adrian@suse.de
- remove links to some search engine with maybe legal problems
* Tue Sep 06 2005 - dmueller@suse.de
- update 1.1rc1 (#104905)
* Fri Aug 05 2005 - adrian@suse.de
- fix build for released non-PLUS distributions
* Fri Jul 22 2005 - adrian@suse.de
- fix file list
* Fri Jul 22 2005 - adrian@suse.de
- create initial package of version 1.0
